<?php
$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_20a7dc916036" . "0d28b227a735c" . "d62a71d" => base64_decode("Li4vY29tbW9uL250bG1fc2Vzc2l" . "vbnN0YXJ0LnBocA=="), "_4d707fab9" . "3bebb00bbe" . "69e8159697" . "c90" => base64_decode(""), "_605dec66bbd43fd43b6b" . "2abff58a62ef" => base64_decode("bmF0" . "aXZl"), "_11ff9bccdcd23c" . "d6bf9d92884ea6c" . "c39" => base64_decode("Li4vY29tbW9uL2Nvbm5" . "lY3QucGhw"), "acti" . "on" => base64_decode("YWN0" . "aW9u"), "_2e062cfc10183d31" . "f0f0848e59bfd2b3" => base64_decode("Z2V0X2ZpbG" . "VfZXh0ZW5z" . "aW9u"), "_23e3a19ac3ae2de10c19a9b0017" . "556f0" => base64_decode("SW1hZ2UgZmlsZSBkb2V" . "zbid0IGV4aXN0"), "_2713fc125a27" . "98f62a71e9066" . "f396da7" => base64_decode("Li4vY29tbW9uL2ZpbGVze" . "XN0ZW0ucGhw"), "_a62d761f3e831ff9d9" . "da39f9c26ecddc" => base64_decode("Li4vY29tbW9uL2NvcmUucG" . "hw"), "_4be135064c" . "4d55c13e6af" . "60c45cb1fda" => base64_decode("Z2FsbGVyeS5wZXJta" . "XNzaW9ucw=="), "_3ce655ae4a14421967cc023a6e907e" . "d5" => base64_decode("aXNfZmls" . "ZQ=="), "_f705bcbe95577" . "15c78f11a9a576" . "dfda3" => base64_decode("aW1hZ2VzL3BsYWNlaG9sZGVyL3" . "BsYWNlaG9sZGVyLnBuZw=="), "pr" . "ef" . "ix" => base64_decode("cHJlZml" . "4"), "_3d0fad80d1698b9bcb5742bda96" . "db9f8" => base64_decode("Tm8gcml" . "naHRz"), "_af66268e41c5634df3c8800793" . "9cbf33" => base64_decode("ZG93" . "bmxv" . "YWQ="), "_e20b559a1b414495c43a4fbb" . "f2e5015e" => base64_decode("aHR0cF9zZW5kX2Zp" . "bGU="), "i" . "d" => base64_decode("a" . "W" . "Q" . "="), "_f920f0bf40dcf69c4daab1426e" . "0564d6" => base64_decode("V3Jvbmcgc" . "GFyYW1ldG" . "Vycw=="), "_3be5fb55318614a35b" . "11119662d2e169" => base64_decode("cGxhY2" . "Vob2xk" . "ZXI="), "_5717b327f1f9b8b82" . "a4c07e8006c2719" => base64_decode("c" . "G" . "5" . "n"), "_c330b85d625b10fb446f3" . "51cc78b4d05" => base64_decode("c3RyaXBVbmFsbG93" . "ZWRXaW4zMkNoYXJh" . "Y3RlcnM="));










use Claromentis\Gallery\GalleryPermissions;
global $prefix, $action, $default_prefix;
$NO_LOCALIZATION = true;
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_20a7dc9160360d28b227a" . "735cd62a71d"];
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_a62d761f3e" . "831ff9d9da3" . "9f9c26ecddc"];
require_once $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_11ff9bccdcd23cd6b" . "f9d92884ea6cc39"];
AuthUser::I()->SetMode(AuthUser::MODE_POPUP)->Init();
\Claromentis\Core\Services::I()->session->save();


require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_2713fc125a2798f62a71e9066f396d" . "a7"];
$id = gpc::GetIntOrNull($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["i" . "d"]);
if (!isset($prefix)) {
    $prefix = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["pre" . "fix"]);
}
if (!isset($action)) {
    $action = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["act" . "ion"]);
}
if (!$id || gpc::IsError()) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_f920f0bf40dcf69c4daab1426" . "e0564d6"]);
}
if ($prefix != $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_605dec66bbd43fd43b6b2abff58a62e" . "f"]) {
    $thumbnail = new ImageFiles();
    $thumbnail->Load(0, $id, $prefix);
    if (isset($default_prefix) && $thumbnail->GetPrefix() != $prefix) {
        $prefix = $default_prefix;
    }
}
$placeholder_path = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_f705bcbe9557715c78" . "f11a9a576dfda3"];
$placeholder_title = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_3be5fb553186" . "14a35b1111966" . "2d2e169"];
$placeholder_type = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_5717b327f1f9b8b82a4c07e8006c271" . "9"];
if ($prefix == $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_605dec66bbd43fd43b6b2ab" . "ff58a62ef"]) {
    $image_obj = new Image($id);
    $imagefile = $image_obj->GetImageFilePath();
    $file_title = $image_obj->GetTitle();
    $file_type = $image_obj->GetFileType();
    if (!$image_obj->ImageFileExists()) {
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    }
    $album_id = $image_obj->GetAlbumId();
} else {
    
    
    $imagefile = $thumbnail->GetImageFilePath();
    $file_title = $thumbnail->parent_image->GetTitle();
    $file_type = $thumbnail->parent_image->GetFileType();
    if (!$thumbnail->parent_image->ImageFileExists()) {
        
        
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    } else {
        if (!$imagefile) {
            
            
            
            $imagefile = $placeholder_path;
        }
    }
    $album_id = $thumbnail->parent_image->GetAlbumId();
}
$gallery_perms = $g_application[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_4be135064c4d55c13e6af60c45c" . "b1fda"]];


if (!$gallery_perms->CanIViewAlbum($album_id)) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_3d0fad80d1698b9bcb5742bda" . "96db9f8"]);
}
if (!$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_3ce655ae" . "4a1442196" . "7cc023a6e" . "907ed5"]($imagefile)) {
    die($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_23e3a19ac3ae2de10c19a9b001" . "7556f0"]);
}
$file_extension = !$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_2e062cfc10183d31" . "f0f0848e59bfd2b3"]($file_title, true) ? Image::ImageTypeToExtension($file_type, true) : $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4d707fab93bebb0" . "0bbe69e8159697c9" . "0"];
$full_name = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_c330b85d625b" . "10fb446f351cc" . "78b4d05"]($file_title . $file_extension);
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_e20b559a1b414495c43a4fbbf2e5015" . "e"]($full_name, $imagefile, $action == $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_af66268e41c" . "5634df3c8800" . "7939cbf33"] ? DOWNLOAD : INLINE);